Option Explicit

Const conForReading = 1
Const conForWriting = 2

' Lee el fichero
Dim objFSO, objReadFile, objWriteFile, contenido
Set objFSO = CreateObject("Scripting.FileSystemObject")
Set objReadFile = objFSO.OpenTextFile("todos_los_eventos.vcs", conForReading, False)
contenido = objReadFile.ReadAll
objReadFile.close
Set objFSO = Nothing
Set objReadFile = Nothing

' Modifica el contenido del archivo
' Quita el inicio y final de los calendarios para que solo exista un calendario
contenido = Replace(contenido, "BEGIN:VCALENDAR" + vbCrLf, "")
contenido = Replace(contenido, "VERSION:1.0" + vbCrLf, "")
contenido = Replace(contenido, "END:VCALENDAR" + vbCrLf, "")
contenido = "BEGIN:VCALENDAR" + vbCrLf + "VERSION:1.0" + vbCrLf + contenido + vbCrLf + "END:VCALENDAR"

' Quita las repeticiones en los eventos ya que Calendar no permite la instruccin RRULE:
dim inicio, fin
Do
   inicio = instr(contenido, vbCrLf + "RRULE:")
   if inicio > 0 then
      fin = instr(inicio + 4, contenido, vbCrLf)
	  contenido = left(contenido, inicio - 1) + mid(contenido, fin)
	  'msgbox mid(contenido, fin)
   end if
Loop While inicio > 0


' Sustituye caracteres
contenido = Replace(contenido, "=" + vbCrLf, "")

contenido = Replace(contenido, "=C3=A1", "")
contenido = Replace(contenido, "=C3=A9", "")
contenido = Replace(contenido, "=C3=AD", "")
contenido = Replace(contenido, "=C3=B3", "")
contenido = Replace(contenido, "=C3=BA", "")

contenido = Replace(contenido, "=C3=81", "")
contenido = Replace(contenido, "=C3=9A", "")
contenido = Replace(contenido, "=C3=B1", "")
contenido = Replace(contenido, "=C3=BC", "")
contenido = Replace(contenido, "=C2=A1", "")
contenido = Replace(contenido, "=C2=BF", "")


' Guarda el contenido del fichero
Set objFSO = CreateObject("Scripting.FileSystemObject")
Set objWriteFile = objFSO.OpenTextFile("todos_los_eventos.vcs", conForWriting, False)
objWriteFile.Write(contenido)
objWriteFile.close
Set objFSO = Nothing
Set objWriteFile = Nothing




' Finalizacin
WScript.Quit()
